<?xml version="1.0" encoding="latin1" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2000</year>
      <year>2011</year>
      <holder>Ericsson AB, All Rights Reserved</holder>
    </copyright>
    <legalnotice>
  The contents of this file are subject to the Erlang Public License,
  Version 1.1, (the "License"); you may not use this file except in
  compliance with the License. You should have received a copy of the
  Erlang Public License along with this software. If not, it can be
  retrieved online at http://www.erlang.org/.

  Software distributed under the License is distributed on an "AS IS"
  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
  the License for the specific language governing rights and limitations
  under the License.

  The Initial Developer of the Original Code is Ericsson AB.
    </legalnotice>

    <title>CosFileTransfer_&shy;Directory</title>
    <shorttitle>..._Directory</shorttitle>
    <prepared></prepared>
    <docno></docno>
    <checked></checked>
    <date>2000-11-09</date>
    <rev>PA1</rev>
  </header>
  <module>CosFileTransfer_Directory</module>
  <modulesummary>This module implements the OMG CosFileTransfer::Directory interface.</modulesummary>
  <description>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosFileTransfer/include/*.hrl").</c></p>
    <p>This module also exports the functions described in:</p>
    <list type="bulleted">
      <item>
        <p><seealso marker="CosFileTransfer_File">CosFileTransfer_File</seealso></p>
      </item>
      <item>
        <p>CosPropertyService_PropertySetDef in the cosProperty application.</p>
      </item>
    </list>
  </description>
  <funcs>
    <func>
      <name>list(Directory, Max) -> Return</name>
      <fsummary>Return a list, of length <c>Max</c>or less, containing Object References representing files or directories contained within the target Directory and a <c>FileIterator</c>or a <c>NIL</c>object</fsummary>
      <type>
        <v>Directory = #objref</v>
        <v>Return = {ok, FileList, FileIterator}</v>
        <v>FileList = [File]</v>
        <v>File = FileIterator = #objref</v>
      </type>
      <desc>
        <p>This operation returns a list, of length <c>Max</c> or less, containing
          Object References representing files or directories contained within
          the target Directory. If the amount of objects found is less than <c>Max</c>
          the returned Iterator will be a <c>NIL</c> object.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

